# Interface GenericZipTools

All Known Implementing Classes:
  `ZipTools`

public interface GenericZipTools
Class abandoned as unnecessary in SwingJS

## Method Summary

Modifier and Type
Method
Description
`void`
`addZipEntry(Object zos, String fileName)`
`String`
`cacheZipContents(BufferedInputStream bis, String shortName, Map<String,Object> cache, boolean asByteArray)`
`void`
`closeZipEntry(Object zos)`
`void`
`getAllZipData(InputStream bis, String[] subFileList, String replace, String binaryFileList, String exclude, Map<String,String> fileData)`
`int`
`getCrcValue(byte[] bytes)`
`BufferedInputStream`
`getUnGzippedInputStream(byte[] bytes)`
`String[]`
`getZipDirectoryAndClose(BufferedInputStream t, String manifestID)`
`String`
`getZipDirectoryAsStringAndClose(BufferedInputStream t)`
`Object`
`getZipFileContentsAsBytes(BufferedInputStream bis, String[] subFileList, int i)`
`Object`
`getZipFileDirectory(BufferedInputStream bis, String[] subFileList, int listPtr, boolean asBufferedInputStream)`
`Object`
`getZipOutputStream(Object bos)`
`boolean`
`isZipStream(Object br)`
`InputStream`
`newBZip2InputStream(InputStream bis)`
`InputStream`
`newGZIPInputStream(InputStream bis)`
`ZInputStream`
`newZipInputStream(InputStream is)`
`void`
`readFileAsMap(BufferedInputStream is, Map<String,Object> bdata, String name)`

## Method Details

### newZipInputStream

ZInputStream newZipInputStream(InputStream is)

### getZipDirectoryAsStringAndClose

String getZipDirectoryAsStringAndClose(BufferedInputStream t)

### newGZIPInputStream

InputStream newGZIPInputStream(InputStream bis) throws IOException

Throws:
  `IOException`

### newBZip2InputStream

InputStream newBZip2InputStream(InputStream bis) throws IOException

Throws:
  `IOException`

### getZipFileDirectory

Object getZipFileDirectory(BufferedInputStream bis, String[] subFileList, int listPtr, boolean asBufferedInputStream)

### getZipDirectoryAndClose

String[] getZipDirectoryAndClose(BufferedInputStream t, String manifestID)

### getAllZipData

void getAllZipData(InputStream bis, String[] subFileList, String replace, String binaryFileList, String exclude, Map<String,String> fileData)

### getZipFileContentsAsBytes

Object getZipFileContentsAsBytes(BufferedInputStream bis, String[] subFileList, int i)

### addZipEntry

void addZipEntry(Object zos, String fileName) throws IOException

Throws:
  `IOException`

### closeZipEntry

void closeZipEntry(Object zos) throws IOException

Throws:
  `IOException`

### getZipOutputStream

Object getZipOutputStream(Object bos)

### getCrcValue

int getCrcValue(byte[] bytes)

### readFileAsMap

void readFileAsMap(BufferedInputStream is, Map<String,Object> bdata, String name)

### cacheZipContents

String cacheZipContents(BufferedInputStream bis, String shortName, Map<String,Object> cache, boolean asByteArray)

### getUnGzippedInputStream

BufferedInputStream getUnGzippedInputStream(byte[] bytes)

### isZipStream

boolean isZipStream(Object br)